services:
  media-nginx:
    image: nginx:alpine
    restart: always
    container_name: media-nginx
    volumes:
      - /docker/media:/usr/share/nginx/html:ro
      - /docker/media/nginx.conf:/etc/nginx/conf.d/default.conf:ro
    networks:
      - n8n_default
    labels:
      - traefik.enable=true
      - traefik.docker.network=n8n_default
      - traefik.http.routers.media.rule=Host(`media.srv1577302.hstgr.cloud`)
      - traefik.http.routers.media.entrypoints=websecure
      - traefik.http.routers.media.tls=true
      - traefik.http.routers.media.tls.certresolver=mytlschallenge
      - traefik.http.services.media.loadbalancer.server.port=80

networks:
  n8n_default:
    external: true
